#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* NC_COUNTER_CounterHW */
#define NC_COUNTER_CounterHW__CAP0 CYREG_TMR0_CAP0
#define NC_COUNTER_CounterHW__CAP1 CYREG_TMR0_CAP1
#define NC_COUNTER_CounterHW__CFG0 CYREG_TMR0_CFG0
#define NC_COUNTER_CounterHW__CFG1 CYREG_TMR0_CFG1
#define NC_COUNTER_CounterHW__CFG2 CYREG_TMR0_CFG2
#define NC_COUNTER_CounterHW__CNT_CMP0 CYREG_TMR0_CNT_CMP0
#define NC_COUNTER_CounterHW__CNT_CMP1 CYREG_TMR0_CNT_CMP1
#define NC_COUNTER_CounterHW__PER0 CYREG_TMR0_PER0
#define NC_COUNTER_CounterHW__PER1 CYREG_TMR0_PER1
#define NC_COUNTER_CounterHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define NC_COUNTER_CounterHW__PM_ACT_MSK 0x01u
#define NC_COUNTER_CounterHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define NC_COUNTER_CounterHW__PM_STBY_MSK 0x01u
#define NC_COUNTER_CounterHW__RT0 CYREG_TMR0_RT0
#define NC_COUNTER_CounterHW__RT1 CYREG_TMR0_RT1
#define NC_COUNTER_CounterHW__SR0 CYREG_TMR0_SR0

/* Bluetooth_IntClock */
#define Bluetooth_IntClock__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Bluetooth_IntClock__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Bluetooth_IntClock__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Bluetooth_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define Bluetooth_IntClock__INDEX 0x00u
#define Bluetooth_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Bluetooth_IntClock__PM_ACT_MSK 0x01u
#define Bluetooth_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Bluetooth_IntClock__PM_STBY_MSK 0x01u

/* Bluetooth_BUART */
#define Bluetooth_BUART_sRX_RxBitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__16BIT_STATUS_REG CYREG_B1_UDB09_10_ST
#define Bluetooth_BUART_sRX_RxBitCounter_ST__MASK_REG CYREG_B1_UDB09_MSK
#define Bluetooth_BUART_sRX_RxBitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__STATUS_CNT_REG CYREG_B1_UDB09_ST_CTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB09_ST_CTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__STATUS_REG CYREG_B1_UDB09_ST
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB09_10_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_COUNT_COUNT_REG CYREG_B1_UDB09_10_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_MASK_MASK_REG CYREG_B1_UDB09_10_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_MASK_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_PERIOD_MASK_REG CYREG_B1_UDB09_10_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter__CONTROL_REG CYREG_B1_UDB09_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__CONTROL_ST_REG CYREG_B1_UDB09_ST_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__COUNT_REG CYREG_B1_UDB09_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__COUNT_ST_REG CYREG_B1_UDB09_ST_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter__PERIOD_REG CYREG_B1_UDB09_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_A0_REG CYREG_B1_UDB10_11_A0
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_A1_REG CYREG_B1_UDB10_11_A1
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_D0_REG CYREG_B1_UDB10_11_D0
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_D1_REG CYREG_B1_UDB10_11_D1
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB10_11_ACTL
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_F0_REG CYREG_B1_UDB10_11_F0
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_F1_REG CYREG_B1_UDB10_11_F1
#define Bluetooth_BUART_sRX_RxShifter_u0__A0_A1_REG CYREG_B1_UDB10_A0_A1
#define Bluetooth_BUART_sRX_RxShifter_u0__A0_REG CYREG_B1_UDB10_A0
#define Bluetooth_BUART_sRX_RxShifter_u0__A1_REG CYREG_B1_UDB10_A1
#define Bluetooth_BUART_sRX_RxShifter_u0__D0_D1_REG CYREG_B1_UDB10_D0_D1
#define Bluetooth_BUART_sRX_RxShifter_u0__D0_REG CYREG_B1_UDB10_D0
#define Bluetooth_BUART_sRX_RxShifter_u0__D1_REG CYREG_B1_UDB10_D1
#define Bluetooth_BUART_sRX_RxShifter_u0__DP_AUX_CTL_REG CYREG_B1_UDB10_ACTL
#define Bluetooth_BUART_sRX_RxShifter_u0__F0_F1_REG CYREG_B1_UDB10_F0_F1
#define Bluetooth_BUART_sRX_RxShifter_u0__F0_REG CYREG_B1_UDB10_F0
#define Bluetooth_BUART_sRX_RxShifter_u0__F1_REG CYREG_B1_UDB10_F1
#define Bluetooth_BUART_sRX_RxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB10_11_ACTL
#define Bluetooth_BUART_sRX_RxSts__16BIT_STATUS_REG CYREG_B1_UDB10_11_ST
#define Bluetooth_BUART_sRX_RxSts__3__MASK 0x08u
#define Bluetooth_BUART_sRX_RxSts__3__POS 3
#define Bluetooth_BUART_sRX_RxSts__4__MASK 0x10u
#define Bluetooth_BUART_sRX_RxSts__4__POS 4
#define Bluetooth_BUART_sRX_RxSts__5__MASK 0x20u
#define Bluetooth_BUART_sRX_RxSts__5__POS 5
#define Bluetooth_BUART_sRX_RxSts__MASK 0x38u
#define Bluetooth_BUART_sRX_RxSts__MASK_REG CYREG_B1_UDB10_MSK
#define Bluetooth_BUART_sRX_RxSts__STATUS_AUX_CTL_REG CYREG_B1_UDB10_ACTL
#define Bluetooth_BUART_sRX_RxSts__STATUS_REG CYREG_B1_UDB10_ST
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_A0_REG CYREG_B1_UDB07_08_A0
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_A1_REG CYREG_B1_UDB07_08_A1
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_D0_REG CYREG_B1_UDB07_08_D0
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_D1_REG CYREG_B1_UDB07_08_D1
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_F0_REG CYREG_B1_UDB07_08_F0
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_F1_REG CYREG_B1_UDB07_08_F1
#define Bluetooth_BUART_sTX_TxShifter_u0__A0_A1_REG CYREG_B1_UDB07_A0_A1
#define Bluetooth_BUART_sTX_TxShifter_u0__A0_REG CYREG_B1_UDB07_A0
#define Bluetooth_BUART_sTX_TxShifter_u0__A1_REG CYREG_B1_UDB07_A1
#define Bluetooth_BUART_sTX_TxShifter_u0__D0_D1_REG CYREG_B1_UDB07_D0_D1
#define Bluetooth_BUART_sTX_TxShifter_u0__D0_REG CYREG_B1_UDB07_D0
#define Bluetooth_BUART_sTX_TxShifter_u0__D1_REG CYREG_B1_UDB07_D1
#define Bluetooth_BUART_sTX_TxShifter_u0__DP_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define Bluetooth_BUART_sTX_TxShifter_u0__F0_F1_REG CYREG_B1_UDB07_F0_F1
#define Bluetooth_BUART_sTX_TxShifter_u0__F0_REG CYREG_B1_UDB07_F0
#define Bluetooth_BUART_sTX_TxShifter_u0__F1_REG CYREG_B1_UDB07_F1
#define Bluetooth_BUART_sTX_TxSts__0__MASK 0x01u
#define Bluetooth_BUART_sTX_TxSts__0__POS 0
#define Bluetooth_BUART_sTX_TxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define Bluetooth_BUART_sTX_TxSts__16BIT_STATUS_REG CYREG_B1_UDB04_05_ST
#define Bluetooth_BUART_sTX_TxSts__1__MASK 0x02u
#define Bluetooth_BUART_sTX_TxSts__1__POS 1
#define Bluetooth_BUART_sTX_TxSts__2__MASK 0x04u
#define Bluetooth_BUART_sTX_TxSts__2__POS 2
#define Bluetooth_BUART_sTX_TxSts__3__MASK 0x08u
#define Bluetooth_BUART_sTX_TxSts__3__POS 3
#define Bluetooth_BUART_sTX_TxSts__MASK 0x0Fu
#define Bluetooth_BUART_sTX_TxSts__MASK_REG CYREG_B1_UDB04_MSK
#define Bluetooth_BUART_sTX_TxSts__STATUS_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define Bluetooth_BUART_sTX_TxSts__STATUS_REG CYREG_B1_UDB04_ST
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A0_REG CYREG_B1_UDB04_05_A0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A1_REG CYREG_B1_UDB04_05_A1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D0_REG CYREG_B1_UDB04_05_D0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D1_REG CYREG_B1_UDB04_05_D1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F0_REG CYREG_B1_UDB04_05_F0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F1_REG CYREG_B1_UDB04_05_F1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__A0_A1_REG CYREG_B1_UDB04_A0_A1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__A0_REG CYREG_B1_UDB04_A0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__A1_REG CYREG_B1_UDB04_A1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__D0_D1_REG CYREG_B1_UDB04_D0_D1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__D0_REG CYREG_B1_UDB04_D0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__D1_REG CYREG_B1_UDB04_D1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__DP_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__F0_F1_REG CYREG_B1_UDB04_F0_F1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__F0_REG CYREG_B1_UDB04_F0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__F1_REG CYREG_B1_UDB04_F1

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT0_PC0
#define LCD_LCDPort__0__PORT 0u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT0_PC1
#define LCD_LCDPort__1__PORT 0u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT0_PC2
#define LCD_LCDPort__2__PORT 0u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT0_PC3
#define LCD_LCDPort__3__PORT 0u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT0_PC4
#define LCD_LCDPort__4__PORT 0u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT0_PC5
#define LCD_LCDPort__5__PORT 0u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT0_PC6
#define LCD_LCDPort__6__PORT 0u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT0_AG
#define LCD_LCDPort__AMUX CYREG_PRT0_AMUX
#define LCD_LCDPort__BIE CYREG_PRT0_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT0_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT0_BYP
#define LCD_LCDPort__CTL CYREG_PRT0_CTL
#define LCD_LCDPort__DM0 CYREG_PRT0_DM0
#define LCD_LCDPort__DM1 CYREG_PRT0_DM1
#define LCD_LCDPort__DM2 CYREG_PRT0_DM2
#define LCD_LCDPort__DR CYREG_PRT0_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT0_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT0_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 0u
#define LCD_LCDPort__PRT CYREG_PRT0_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT0_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT0_SLW

/* CENTER_INT */
#define CENTER_INT__ES2_PATCH 0u
#define CENTER_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define CENTER_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define CENTER_INT__INTC_MASK 0x01u
#define CENTER_INT__INTC_NUMBER 0u
#define CENTER_INT__INTC_PRIOR_NUM 7u
#define CENTER_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR0
#define CENTER_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define CENTER_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define CENTER_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x00u)

/* RIGHT_INT */
#define RIGHT_INT__ES2_PATCH 0u
#define RIGHT_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define RIGHT_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define RIGHT_INT__INTC_MASK 0x08u
#define RIGHT_INT__INTC_NUMBER 3u
#define RIGHT_INT__INTC_PRIOR_NUM 7u
#define RIGHT_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR3
#define RIGHT_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define RIGHT_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define RIGHT_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x06u)

/* DOWN_INT */
#define DOWN_INT__ES2_PATCH 0u
#define DOWN_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define DOWN_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define DOWN_INT__INTC_MASK 0x02u
#define DOWN_INT__INTC_NUMBER 1u
#define DOWN_INT__INTC_PRIOR_NUM 7u
#define DOWN_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR1
#define DOWN_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define DOWN_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define DOWN_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x02u)

/* LEFT_INT */
#define LEFT_INT__ES2_PATCH 0u
#define LEFT_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define LEFT_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define LEFT_INT__INTC_MASK 0x04u
#define LEFT_INT__INTC_NUMBER 2u
#define LEFT_INT__INTC_PRIOR_NUM 7u
#define LEFT_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR2
#define LEFT_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define LEFT_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define LEFT_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x04u)

/* Clock_1 */
#define Clock_1__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define Clock_1__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define Clock_1__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define Clock_1__INDEX 0x01u
#define Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_1__PM_ACT_MSK 0x02u
#define Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_1__PM_STBY_MSK 0x02u

/* Center */
#define Center__0__MASK 0x04u
#define Center__0__PC CYREG_PRT3_PC2
#define Center__0__PORT 3u
#define Center__0__SHIFT 2
#define Center__AG CYREG_PRT3_AG
#define Center__AMUX CYREG_PRT3_AMUX
#define Center__BIE CYREG_PRT3_BIE
#define Center__BIT_MASK CYREG_PRT3_BIT_MASK
#define Center__BYP CYREG_PRT3_BYP
#define Center__CTL CYREG_PRT3_CTL
#define Center__DM0 CYREG_PRT3_DM0
#define Center__DM1 CYREG_PRT3_DM1
#define Center__DM2 CYREG_PRT3_DM2
#define Center__DR CYREG_PRT3_DR
#define Center__INP_DIS CYREG_PRT3_INP_DIS
#define Center__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Center__LCD_EN CYREG_PRT3_LCD_EN
#define Center__MASK 0x04u
#define Center__PORT 3u
#define Center__PRT CYREG_PRT3_PRT
#define Center__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Center__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Center__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Center__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Center__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Center__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Center__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Center__PS CYREG_PRT3_PS
#define Center__SHIFT 2
#define Center__SLW CYREG_PRT3_SLW

/* UP_INT */
#define UP_INT__ES2_PATCH 0u
#define UP_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define UP_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define UP_INT__INTC_MASK 0x10u
#define UP_INT__INTC_NUMBER 4u
#define UP_INT__INTC_PRIOR_NUM 7u
#define UP_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR4
#define UP_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define UP_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define UP_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x08u)

/* Right */
#define Right__0__MASK 0x20u
#define Right__0__PC CYREG_PRT3_PC5
#define Right__0__PORT 3u
#define Right__0__SHIFT 5
#define Right__AG CYREG_PRT3_AG
#define Right__AMUX CYREG_PRT3_AMUX
#define Right__BIE CYREG_PRT3_BIE
#define Right__BIT_MASK CYREG_PRT3_BIT_MASK
#define Right__BYP CYREG_PRT3_BYP
#define Right__CTL CYREG_PRT3_CTL
#define Right__DM0 CYREG_PRT3_DM0
#define Right__DM1 CYREG_PRT3_DM1
#define Right__DM2 CYREG_PRT3_DM2
#define Right__DR CYREG_PRT3_DR
#define Right__INP_DIS CYREG_PRT3_INP_DIS
#define Right__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Right__LCD_EN CYREG_PRT3_LCD_EN
#define Right__MASK 0x20u
#define Right__PORT 3u
#define Right__PRT CYREG_PRT3_PRT
#define Right__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Right__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Right__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Right__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Right__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Right__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Right__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Right__PS CYREG_PRT3_PS
#define Right__SHIFT 5
#define Right__SLW CYREG_PRT3_SLW

/* Down */
#define Down__0__MASK 0x02u
#define Down__0__PC CYREG_PRT12_PC1
#define Down__0__PORT 12u
#define Down__0__SHIFT 1
#define Down__AG CYREG_PRT12_AG
#define Down__BIE CYREG_PRT12_BIE
#define Down__BIT_MASK CYREG_PRT12_BIT_MASK
#define Down__BYP CYREG_PRT12_BYP
#define Down__DM0 CYREG_PRT12_DM0
#define Down__DM1 CYREG_PRT12_DM1
#define Down__DM2 CYREG_PRT12_DM2
#define Down__DR CYREG_PRT12_DR
#define Down__INP_DIS CYREG_PRT12_INP_DIS
#define Down__MASK 0x02u
#define Down__PORT 12u
#define Down__PRT CYREG_PRT12_PRT
#define Down__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define Down__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define Down__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define Down__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define Down__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define Down__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define Down__PS CYREG_PRT12_PS
#define Down__SHIFT 1
#define Down__SIO_CFG CYREG_PRT12_SIO_CFG
#define Down__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define Down__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define Down__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define Down__SLW CYREG_PRT12_SLW

/* Left */
#define Left__0__MASK 0x80u
#define Left__0__PC CYREG_PRT3_PC7
#define Left__0__PORT 3u
#define Left__0__SHIFT 7
#define Left__AG CYREG_PRT3_AG
#define Left__AMUX CYREG_PRT3_AMUX
#define Left__BIE CYREG_PRT3_BIE
#define Left__BIT_MASK CYREG_PRT3_BIT_MASK
#define Left__BYP CYREG_PRT3_BYP
#define Left__CTL CYREG_PRT3_CTL
#define Left__DM0 CYREG_PRT3_DM0
#define Left__DM1 CYREG_PRT3_DM1
#define Left__DM2 CYREG_PRT3_DM2
#define Left__DR CYREG_PRT3_DR
#define Left__INP_DIS CYREG_PRT3_INP_DIS
#define Left__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Left__LCD_EN CYREG_PRT3_LCD_EN
#define Left__MASK 0x80u
#define Left__PORT 3u
#define Left__PRT CYREG_PRT3_PRT
#define Left__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Left__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Left__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Left__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Left__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Left__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Left__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Left__PS CYREG_PRT3_PS
#define Left__SHIFT 7
#define Left__SLW CYREG_PRT3_SLW

/* Rx_1 */
#define Rx_1__0__MASK 0x80u
#define Rx_1__0__PC CYREG_PRT5_PC7
#define Rx_1__0__PORT 5u
#define Rx_1__0__SHIFT 7
#define Rx_1__AG CYREG_PRT5_AG
#define Rx_1__AMUX CYREG_PRT5_AMUX
#define Rx_1__BIE CYREG_PRT5_BIE
#define Rx_1__BIT_MASK CYREG_PRT5_BIT_MASK
#define Rx_1__BYP CYREG_PRT5_BYP
#define Rx_1__CTL CYREG_PRT5_CTL
#define Rx_1__DM0 CYREG_PRT5_DM0
#define Rx_1__DM1 CYREG_PRT5_DM1
#define Rx_1__DM2 CYREG_PRT5_DM2
#define Rx_1__DR CYREG_PRT5_DR
#define Rx_1__INP_DIS CYREG_PRT5_INP_DIS
#define Rx_1__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Rx_1__LCD_EN CYREG_PRT5_LCD_EN
#define Rx_1__MASK 0x80u
#define Rx_1__PORT 5u
#define Rx_1__PRT CYREG_PRT5_PRT
#define Rx_1__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Rx_1__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Rx_1__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Rx_1__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Rx_1__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Rx_1__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Rx_1__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Rx_1__PS CYREG_PRT5_PS
#define Rx_1__SHIFT 7
#define Rx_1__SLW CYREG_PRT5_SLW

/* Tx_1 */
#define Tx_1__0__MASK 0x40u
#define Tx_1__0__PC CYREG_PRT5_PC6
#define Tx_1__0__PORT 5u
#define Tx_1__0__SHIFT 6
#define Tx_1__AG CYREG_PRT5_AG
#define Tx_1__AMUX CYREG_PRT5_AMUX
#define Tx_1__BIE CYREG_PRT5_BIE
#define Tx_1__BIT_MASK CYREG_PRT5_BIT_MASK
#define Tx_1__BYP CYREG_PRT5_BYP
#define Tx_1__CTL CYREG_PRT5_CTL
#define Tx_1__DM0 CYREG_PRT5_DM0
#define Tx_1__DM1 CYREG_PRT5_DM1
#define Tx_1__DM2 CYREG_PRT5_DM2
#define Tx_1__DR CYREG_PRT5_DR
#define Tx_1__INP_DIS CYREG_PRT5_INP_DIS
#define Tx_1__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Tx_1__LCD_EN CYREG_PRT5_LCD_EN
#define Tx_1__MASK 0x40u
#define Tx_1__PORT 5u
#define Tx_1__PRT CYREG_PRT5_PRT
#define Tx_1__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Tx_1__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Tx_1__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Tx_1__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Tx_1__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Tx_1__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Tx_1__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Tx_1__PS CYREG_PRT5_PS
#define Tx_1__SHIFT 6
#define Tx_1__SLW CYREG_PRT5_SLW

/* UP */
#define UP__0__MASK 0x08u
#define UP__0__PC CYREG_IO_PC_PRT15_PC3
#define UP__0__PORT 15u
#define UP__0__SHIFT 3
#define UP__AG CYREG_PRT15_AG
#define UP__AMUX CYREG_PRT15_AMUX
#define UP__BIE CYREG_PRT15_BIE
#define UP__BIT_MASK CYREG_PRT15_BIT_MASK
#define UP__BYP CYREG_PRT15_BYP
#define UP__CTL CYREG_PRT15_CTL
#define UP__DM0 CYREG_PRT15_DM0
#define UP__DM1 CYREG_PRT15_DM1
#define UP__DM2 CYREG_PRT15_DM2
#define UP__DR CYREG_PRT15_DR
#define UP__INP_DIS CYREG_PRT15_INP_DIS
#define UP__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define UP__LCD_EN CYREG_PRT15_LCD_EN
#define UP__MASK 0x08u
#define UP__PORT 15u
#define UP__PRT CYREG_PRT15_PRT
#define UP__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define UP__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define UP__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define UP__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define UP__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define UP__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define UP__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define UP__PS CYREG_PRT15_PS
#define UP__SHIFT 3
#define UP__SLW CYREG_PRT15_SLW

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 2u
#define CYDEV_CHIP_DIE_PSOC5LP 3u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069u
#define CYDEV_CHIP_MEMBER_5A 2u
#define CYDEV_CHIP_MEMBER_5B 3u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x0000001Fu
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
