/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

uint8 menu = 0;
uint8 DESIRED_TEMP = 75.00;
uint8 NC=0;
    
void main()
{
    uint8 BT_Rx;
    uint8 TEMP;
    uint8 NC=0;
    char titles[4][10];
    strcpy(titles[0], "BLUETOOTH");
    strcpy(titles[1], "TEMP_CTRL");
    strcpy(titles[2], "HUMIDITY ");
    strcpy(titles[3], "MOTOR_SPD");
    
    CyGlobalIntEnable;
    
    NC_COUNTER_START();
    UP_INT_START();
    DOWN_INT_START();
    LCD_Start();
    LCD_PrintString("Honey Extractor");
    Bluetooth_Start();
    CyDelay(500);
    
    for(;;)
    {
        CyDelay(500);
        LCD_ClearDisplay();
        
        if(menu == 0)
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
            BT_Rx = Bluetooth_GetChar();
            if(BT_Rx > 0)
            {
                LCD_Position(0,11);
                LCD_PutChar(BT_Rx);
                
                NC_COUNTER_WriteCounter(0);
                NC = 0;
            }
            if(NC == 1)
            {
                LCD_Position(1,0);
                LCD_PrintString("NO CONNECTION");
            }
        }
        if(menu == 1)
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
            TEMP = 75.00;
            LCD_Position(0,11);
            LCD_PrintNumber(TEMP);
            LCD_PutChar('F');
            
            LCD_Position(1,0);
            LCD_PrintString("desired:");
            LCD_Position(1,11);
            LCD_PrintNumber(DESIRED_TEMP);
            LCD_PutChar('F');
        }
        if(menu == 2)
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
        }
        if(menu == 3)
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);        
        }
    }
}