#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* Humidity_Sensor_Ext_CP_Clk */
#define Humidity_Sensor_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Humidity_Sensor_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Humidity_Sensor_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Humidity_Sensor_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define Humidity_Sensor_Ext_CP_Clk__INDEX 0x00u
#define Humidity_Sensor_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Humidity_Sensor_Ext_CP_Clk__PM_ACT_MSK 0x01u
#define Humidity_Sensor_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Humidity_Sensor_Ext_CP_Clk__PM_STBY_MSK 0x01u

/* Humidity_Sensor_theACLK */
#define Humidity_Sensor_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define Humidity_Sensor_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define Humidity_Sensor_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define Humidity_Sensor_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define Humidity_Sensor_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define Humidity_Sensor_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define Humidity_Sensor_theACLK__INDEX 0x00u
#define Humidity_Sensor_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define Humidity_Sensor_theACLK__PM_ACT_MSK 0x01u
#define Humidity_Sensor_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define Humidity_Sensor_theACLK__PM_STBY_MSK 0x01u

/* NC_COUNTER_CounterHW */
#define NC_COUNTER_CounterHW__CAP0 CYREG_TMR0_CAP0
#define NC_COUNTER_CounterHW__CAP1 CYREG_TMR0_CAP1
#define NC_COUNTER_CounterHW__CFG0 CYREG_TMR0_CFG0
#define NC_COUNTER_CounterHW__CFG1 CYREG_TMR0_CFG1
#define NC_COUNTER_CounterHW__CFG2 CYREG_TMR0_CFG2
#define NC_COUNTER_CounterHW__CNT_CMP0 CYREG_TMR0_CNT_CMP0
#define NC_COUNTER_CounterHW__CNT_CMP1 CYREG_TMR0_CNT_CMP1
#define NC_COUNTER_CounterHW__PER0 CYREG_TMR0_PER0
#define NC_COUNTER_CounterHW__PER1 CYREG_TMR0_PER1
#define NC_COUNTER_CounterHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define NC_COUNTER_CounterHW__PM_ACT_MSK 0x01u
#define NC_COUNTER_CounterHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define NC_COUNTER_CounterHW__PM_STBY_MSK 0x01u
#define NC_COUNTER_CounterHW__RT0 CYREG_TMR0_RT0
#define NC_COUNTER_CounterHW__RT1 CYREG_TMR0_RT1
#define NC_COUNTER_CounterHW__SR0 CYREG_TMR0_SR0

/* Humidity_Sensor_DEC */
#define Humidity_Sensor_DEC__COHER CYREG_DEC_COHER
#define Humidity_Sensor_DEC__CR CYREG_DEC_CR
#define Humidity_Sensor_DEC__DR1 CYREG_DEC_DR1
#define Humidity_Sensor_DEC__DR2 CYREG_DEC_DR2
#define Humidity_Sensor_DEC__DR2H CYREG_DEC_DR2H
#define Humidity_Sensor_DEC__GCOR CYREG_DEC_GCOR
#define Humidity_Sensor_DEC__GCORH CYREG_DEC_GCORH
#define Humidity_Sensor_DEC__GVAL CYREG_DEC_GVAL
#define Humidity_Sensor_DEC__OCOR CYREG_DEC_OCOR
#define Humidity_Sensor_DEC__OCORH CYREG_DEC_OCORH
#define Humidity_Sensor_DEC__OCORM CYREG_DEC_OCORM
#define Humidity_Sensor_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define Humidity_Sensor_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define Humidity_Sensor_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define Humidity_Sensor_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define Humidity_Sensor_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define Humidity_Sensor_DEC__PM_ACT_MSK 0x01u
#define Humidity_Sensor_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define Humidity_Sensor_DEC__PM_STBY_MSK 0x01u
#define Humidity_Sensor_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define Humidity_Sensor_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define Humidity_Sensor_DEC__SR CYREG_DEC_SR
#define Humidity_Sensor_DEC__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DEC_M1
#define Humidity_Sensor_DEC__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DEC_M2
#define Humidity_Sensor_DEC__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DEC_M3
#define Humidity_Sensor_DEC__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DEC_M4
#define Humidity_Sensor_DEC__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DEC_M5
#define Humidity_Sensor_DEC__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DEC_M6
#define Humidity_Sensor_DEC__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DEC_M7
#define Humidity_Sensor_DEC__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DEC_M8

/* Humidity_Sensor_DSM */
#define Humidity_Sensor_DSM__BUF0 CYREG_DSM0_BUF0
#define Humidity_Sensor_DSM__BUF1 CYREG_DSM0_BUF1
#define Humidity_Sensor_DSM__BUF2 CYREG_DSM0_BUF2
#define Humidity_Sensor_DSM__BUF3 CYREG_DSM0_BUF3
#define Humidity_Sensor_DSM__CLK CYREG_DSM0_CLK
#define Humidity_Sensor_DSM__CR0 CYREG_DSM0_CR0
#define Humidity_Sensor_DSM__CR1 CYREG_DSM0_CR1
#define Humidity_Sensor_DSM__CR10 CYREG_DSM0_CR10
#define Humidity_Sensor_DSM__CR11 CYREG_DSM0_CR11
#define Humidity_Sensor_DSM__CR12 CYREG_DSM0_CR12
#define Humidity_Sensor_DSM__CR13 CYREG_DSM0_CR13
#define Humidity_Sensor_DSM__CR14 CYREG_DSM0_CR14
#define Humidity_Sensor_DSM__CR15 CYREG_DSM0_CR15
#define Humidity_Sensor_DSM__CR16 CYREG_DSM0_CR16
#define Humidity_Sensor_DSM__CR17 CYREG_DSM0_CR17
#define Humidity_Sensor_DSM__CR2 CYREG_DSM0_CR2
#define Humidity_Sensor_DSM__CR3 CYREG_DSM0_CR3
#define Humidity_Sensor_DSM__CR4 CYREG_DSM0_CR4
#define Humidity_Sensor_DSM__CR5 CYREG_DSM0_CR5
#define Humidity_Sensor_DSM__CR6 CYREG_DSM0_CR6
#define Humidity_Sensor_DSM__CR7 CYREG_DSM0_CR7
#define Humidity_Sensor_DSM__CR8 CYREG_DSM0_CR8
#define Humidity_Sensor_DSM__CR9 CYREG_DSM0_CR9
#define Humidity_Sensor_DSM__DEM0 CYREG_DSM0_DEM0
#define Humidity_Sensor_DSM__DEM1 CYREG_DSM0_DEM1
#define Humidity_Sensor_DSM__MISC CYREG_DSM0_MISC
#define Humidity_Sensor_DSM__OUT0 CYREG_DSM0_OUT0
#define Humidity_Sensor_DSM__OUT1 CYREG_DSM0_OUT1
#define Humidity_Sensor_DSM__REF0 CYREG_DSM0_REF0
#define Humidity_Sensor_DSM__REF1 CYREG_DSM0_REF1
#define Humidity_Sensor_DSM__REF2 CYREG_DSM0_REF2
#define Humidity_Sensor_DSM__REF3 CYREG_DSM0_REF3
#define Humidity_Sensor_DSM__RSVD1 CYREG_DSM0_RSVD1
#define Humidity_Sensor_DSM__SW0 CYREG_DSM0_SW0
#define Humidity_Sensor_DSM__SW2 CYREG_DSM0_SW2
#define Humidity_Sensor_DSM__SW3 CYREG_DSM0_SW3
#define Humidity_Sensor_DSM__SW4 CYREG_DSM0_SW4
#define Humidity_Sensor_DSM__SW6 CYREG_DSM0_SW6
#define Humidity_Sensor_DSM__TR0 CYREG_NPUMP_DSM_TR0
#define Humidity_Sensor_DSM__TST0 CYREG_DSM0_TST0
#define Humidity_Sensor_DSM__TST1 CYREG_DSM0_TST1

/* Humidity_Sensor_IRQ */
#define Humidity_Sensor_IRQ__ES2_PATCH 0u
#define Humidity_Sensor_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define Humidity_Sensor_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define Humidity_Sensor_IRQ__INTC_MASK 0x20u
#define Humidity_Sensor_IRQ__INTC_NUMBER 29u
#define Humidity_Sensor_IRQ__INTC_PRIOR_NUM 7u
#define Humidity_Sensor_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR29
#define Humidity_Sensor_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define Humidity_Sensor_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define Humidity_Sensor_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x3Au)

/* Temp_Sensor_I2C_IRQ */
#define Temp_Sensor_I2C_IRQ__ES2_PATCH 0u
#define Temp_Sensor_I2C_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN1
#define Temp_Sensor_I2C_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD1
#define Temp_Sensor_I2C_IRQ__INTC_MASK 0x80u
#define Temp_Sensor_I2C_IRQ__INTC_NUMBER 15u
#define Temp_Sensor_I2C_IRQ__INTC_PRIOR_NUM 7u
#define Temp_Sensor_I2C_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR15
#define Temp_Sensor_I2C_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN1
#define Temp_Sensor_I2C_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD1
#define Temp_Sensor_I2C_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x1Eu)

/* Bluetooth_IntClock */
#define Bluetooth_IntClock__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define Bluetooth_IntClock__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define Bluetooth_IntClock__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define Bluetooth_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define Bluetooth_IntClock__INDEX 0x01u
#define Bluetooth_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Bluetooth_IntClock__PM_ACT_MSK 0x02u
#define Bluetooth_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Bluetooth_IntClock__PM_STBY_MSK 0x02u

/* Temp_Sensor_I2C_FF */
#define Temp_Sensor_I2C_FF__ADR CYREG_I2C_ADR
#define Temp_Sensor_I2C_FF__CFG CYREG_I2C_CFG
#define Temp_Sensor_I2C_FF__CLK_DIV1 CYREG_I2C_CLK_DIV1
#define Temp_Sensor_I2C_FF__CLK_DIV2 CYREG_I2C_CLK_DIV2
#define Temp_Sensor_I2C_FF__CSR CYREG_I2C_CSR
#define Temp_Sensor_I2C_FF__D CYREG_I2C_D
#define Temp_Sensor_I2C_FF__MCSR CYREG_I2C_MCSR
#define Temp_Sensor_I2C_FF__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define Temp_Sensor_I2C_FF__PM_ACT_MSK 0x04u
#define Temp_Sensor_I2C_FF__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define Temp_Sensor_I2C_FF__PM_STBY_MSK 0x04u
#define Temp_Sensor_I2C_FF__XCFG CYREG_I2C_XCFG

/* Bluetooth_BUART */
#define Bluetooth_BUART_sRX_RxBitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__16BIT_STATUS_REG CYREG_B1_UDB09_10_ST
#define Bluetooth_BUART_sRX_RxBitCounter_ST__MASK_REG CYREG_B1_UDB09_MSK
#define Bluetooth_BUART_sRX_RxBitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__STATUS_CNT_REG CYREG_B1_UDB09_ST_CTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB09_ST_CTL
#define Bluetooth_BUART_sRX_RxBitCounter_ST__STATUS_REG CYREG_B1_UDB09_ST
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB09_10_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_COUNT_COUNT_REG CYREG_B1_UDB09_10_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_MASK_MASK_REG CYREG_B1_UDB09_10_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_MASK_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_PERIOD_MASK_REG CYREG_B1_UDB09_10_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter__CONTROL_REG CYREG_B1_UDB09_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__CONTROL_ST_REG CYREG_B1_UDB09_ST_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__COUNT_REG CYREG_B1_UDB09_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__COUNT_ST_REG CYREG_B1_UDB09_ST_CTL
#define Bluetooth_BUART_sRX_RxBitCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Bluetooth_BUART_sRX_RxBitCounter__PERIOD_REG CYREG_B1_UDB09_MSK
#define Bluetooth_BUART_sRX_RxBitCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_A0_REG CYREG_B1_UDB08_09_A0
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_A1_REG CYREG_B1_UDB08_09_A1
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_D0_REG CYREG_B1_UDB08_09_D0
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_D1_REG CYREG_B1_UDB08_09_D1
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_F0_REG CYREG_B1_UDB08_09_F0
#define Bluetooth_BUART_sRX_RxShifter_u0__16BIT_F1_REG CYREG_B1_UDB08_09_F1
#define Bluetooth_BUART_sRX_RxShifter_u0__A0_A1_REG CYREG_B1_UDB08_A0_A1
#define Bluetooth_BUART_sRX_RxShifter_u0__A0_REG CYREG_B1_UDB08_A0
#define Bluetooth_BUART_sRX_RxShifter_u0__A1_REG CYREG_B1_UDB08_A1
#define Bluetooth_BUART_sRX_RxShifter_u0__D0_D1_REG CYREG_B1_UDB08_D0_D1
#define Bluetooth_BUART_sRX_RxShifter_u0__D0_REG CYREG_B1_UDB08_D0
#define Bluetooth_BUART_sRX_RxShifter_u0__D1_REG CYREG_B1_UDB08_D1
#define Bluetooth_BUART_sRX_RxShifter_u0__DP_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define Bluetooth_BUART_sRX_RxShifter_u0__F0_F1_REG CYREG_B1_UDB08_F0_F1
#define Bluetooth_BUART_sRX_RxShifter_u0__F0_REG CYREG_B1_UDB08_F0
#define Bluetooth_BUART_sRX_RxShifter_u0__F1_REG CYREG_B1_UDB08_F1
#define Bluetooth_BUART_sRX_RxSts__3__MASK 0x08u
#define Bluetooth_BUART_sRX_RxSts__3__POS 3
#define Bluetooth_BUART_sRX_RxSts__4__MASK 0x10u
#define Bluetooth_BUART_sRX_RxSts__4__POS 4
#define Bluetooth_BUART_sRX_RxSts__5__MASK 0x20u
#define Bluetooth_BUART_sRX_RxSts__5__POS 5
#define Bluetooth_BUART_sRX_RxSts__MASK 0x38u
#define Bluetooth_BUART_sRX_RxSts__MASK_REG CYREG_B1_UDB11_MSK
#define Bluetooth_BUART_sRX_RxSts__STATUS_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define Bluetooth_BUART_sRX_RxSts__STATUS_REG CYREG_B1_UDB11_ST
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_A0_REG CYREG_B1_UDB07_08_A0
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_A1_REG CYREG_B1_UDB07_08_A1
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_D0_REG CYREG_B1_UDB07_08_D0
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_D1_REG CYREG_B1_UDB07_08_D1
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_F0_REG CYREG_B1_UDB07_08_F0
#define Bluetooth_BUART_sTX_TxShifter_u0__16BIT_F1_REG CYREG_B1_UDB07_08_F1
#define Bluetooth_BUART_sTX_TxShifter_u0__A0_A1_REG CYREG_B1_UDB07_A0_A1
#define Bluetooth_BUART_sTX_TxShifter_u0__A0_REG CYREG_B1_UDB07_A0
#define Bluetooth_BUART_sTX_TxShifter_u0__A1_REG CYREG_B1_UDB07_A1
#define Bluetooth_BUART_sTX_TxShifter_u0__D0_D1_REG CYREG_B1_UDB07_D0_D1
#define Bluetooth_BUART_sTX_TxShifter_u0__D0_REG CYREG_B1_UDB07_D0
#define Bluetooth_BUART_sTX_TxShifter_u0__D1_REG CYREG_B1_UDB07_D1
#define Bluetooth_BUART_sTX_TxShifter_u0__DP_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define Bluetooth_BUART_sTX_TxShifter_u0__F0_F1_REG CYREG_B1_UDB07_F0_F1
#define Bluetooth_BUART_sTX_TxShifter_u0__F0_REG CYREG_B1_UDB07_F0
#define Bluetooth_BUART_sTX_TxShifter_u0__F1_REG CYREG_B1_UDB07_F1
#define Bluetooth_BUART_sTX_TxSts__0__MASK 0x01u
#define Bluetooth_BUART_sTX_TxSts__0__POS 0
#define Bluetooth_BUART_sTX_TxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define Bluetooth_BUART_sTX_TxSts__16BIT_STATUS_REG CYREG_B1_UDB07_08_ST
#define Bluetooth_BUART_sTX_TxSts__1__MASK 0x02u
#define Bluetooth_BUART_sTX_TxSts__1__POS 1
#define Bluetooth_BUART_sTX_TxSts__2__MASK 0x04u
#define Bluetooth_BUART_sTX_TxSts__2__POS 2
#define Bluetooth_BUART_sTX_TxSts__3__MASK 0x08u
#define Bluetooth_BUART_sTX_TxSts__3__POS 3
#define Bluetooth_BUART_sTX_TxSts__MASK 0x0Fu
#define Bluetooth_BUART_sTX_TxSts__MASK_REG CYREG_B1_UDB07_MSK
#define Bluetooth_BUART_sTX_TxSts__STATUS_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define Bluetooth_BUART_sTX_TxSts__STATUS_REG CYREG_B1_UDB07_ST
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A0_REG CYREG_B1_UDB04_05_A0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A1_REG CYREG_B1_UDB04_05_A1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D0_REG CYREG_B1_UDB04_05_D0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D1_REG CYREG_B1_UDB04_05_D1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F0_REG CYREG_B1_UDB04_05_F0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F1_REG CYREG_B1_UDB04_05_F1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__A0_A1_REG CYREG_B1_UDB04_A0_A1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__A0_REG CYREG_B1_UDB04_A0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__A1_REG CYREG_B1_UDB04_A1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__D0_D1_REG CYREG_B1_UDB04_D0_D1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__D0_REG CYREG_B1_UDB04_D0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__D1_REG CYREG_B1_UDB04_D1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__DP_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__F0_F1_REG CYREG_B1_UDB04_F0_F1
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__F0_REG CYREG_B1_UDB04_F0
#define Bluetooth_BUART_sTX_sCLOCK_TxBitClkGen__F1_REG CYREG_B1_UDB04_F1

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT0_PC0
#define LCD_LCDPort__0__PORT 0u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT0_PC1
#define LCD_LCDPort__1__PORT 0u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT0_PC2
#define LCD_LCDPort__2__PORT 0u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT0_PC3
#define LCD_LCDPort__3__PORT 0u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT0_PC4
#define LCD_LCDPort__4__PORT 0u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT0_PC5
#define LCD_LCDPort__5__PORT 0u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT0_PC6
#define LCD_LCDPort__6__PORT 0u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT0_AG
#define LCD_LCDPort__AMUX CYREG_PRT0_AMUX
#define LCD_LCDPort__BIE CYREG_PRT0_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT0_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT0_BYP
#define LCD_LCDPort__CTL CYREG_PRT0_CTL
#define LCD_LCDPort__DM0 CYREG_PRT0_DM0
#define LCD_LCDPort__DM1 CYREG_PRT0_DM1
#define LCD_LCDPort__DM2 CYREG_PRT0_DM2
#define LCD_LCDPort__DR CYREG_PRT0_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT0_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT0_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 0u
#define LCD_LCDPort__PRT CYREG_PRT0_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT0_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT0_SLW

/* CENTER_INT */
#define CENTER_INT__ES2_PATCH 0u
#define CENTER_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define CENTER_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define CENTER_INT__INTC_MASK 0x01u
#define CENTER_INT__INTC_NUMBER 0u
#define CENTER_INT__INTC_PRIOR_NUM 7u
#define CENTER_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR0
#define CENTER_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define CENTER_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define CENTER_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x00u)

/* RIGHT_INT */
#define RIGHT_INT__ES2_PATCH 0u
#define RIGHT_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define RIGHT_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define RIGHT_INT__INTC_MASK 0x08u
#define RIGHT_INT__INTC_NUMBER 3u
#define RIGHT_INT__INTC_PRIOR_NUM 7u
#define RIGHT_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR3
#define RIGHT_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define RIGHT_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define RIGHT_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x06u)

/* DOWN_INT */
#define DOWN_INT__ES2_PATCH 0u
#define DOWN_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define DOWN_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define DOWN_INT__INTC_MASK 0x02u
#define DOWN_INT__INTC_NUMBER 1u
#define DOWN_INT__INTC_PRIOR_NUM 7u
#define DOWN_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR1
#define DOWN_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define DOWN_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define DOWN_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x02u)

/* Humidity */
#define Humidity__0__MASK 0x02u
#define Humidity__0__PC CYREG_PRT3_PC1
#define Humidity__0__PORT 3u
#define Humidity__0__SHIFT 1
#define Humidity__AG CYREG_PRT3_AG
#define Humidity__AMUX CYREG_PRT3_AMUX
#define Humidity__BIE CYREG_PRT3_BIE
#define Humidity__BIT_MASK CYREG_PRT3_BIT_MASK
#define Humidity__BYP CYREG_PRT3_BYP
#define Humidity__CTL CYREG_PRT3_CTL
#define Humidity__DM0 CYREG_PRT3_DM0
#define Humidity__DM1 CYREG_PRT3_DM1
#define Humidity__DM2 CYREG_PRT3_DM2
#define Humidity__DR CYREG_PRT3_DR
#define Humidity__INP_DIS CYREG_PRT3_INP_DIS
#define Humidity__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Humidity__LCD_EN CYREG_PRT3_LCD_EN
#define Humidity__MASK 0x02u
#define Humidity__PORT 3u
#define Humidity__PRT CYREG_PRT3_PRT
#define Humidity__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Humidity__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Humidity__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Humidity__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Humidity__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Humidity__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Humidity__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Humidity__PS CYREG_PRT3_PS
#define Humidity__SHIFT 1
#define Humidity__SLW CYREG_PRT3_SLW

/* LEFT_INT */
#define LEFT_INT__ES2_PATCH 0u
#define LEFT_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define LEFT_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define LEFT_INT__INTC_MASK 0x04u
#define LEFT_INT__INTC_NUMBER 2u
#define LEFT_INT__INTC_PRIOR_NUM 7u
#define LEFT_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR2
#define LEFT_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define LEFT_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define LEFT_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x04u)

/* Clock_1 */
#define Clock_1__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define Clock_1__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define Clock_1__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define Clock_1__INDEX 0x02u
#define Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_1__PM_ACT_MSK 0x04u
#define Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_1__PM_STBY_MSK 0x04u

/* Clock_2 */
#define Clock_2__CFG0 CYREG_CLKDIST_DCFG3_CFG0
#define Clock_2__CFG1 CYREG_CLKDIST_DCFG3_CFG1
#define Clock_2__CFG2 CYREG_CLKDIST_DCFG3_CFG2
#define Clock_2__CFG2_SRC_SEL_MASK 0x07u
#define Clock_2__INDEX 0x03u
#define Clock_2__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_2__PM_ACT_MSK 0x08u
#define Clock_2__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_2__PM_STBY_MSK 0x08u

/* Center */
#define Center__0__MASK 0x08u
#define Center__0__PC CYREG_PRT3_PC3
#define Center__0__PORT 3u
#define Center__0__SHIFT 3
#define Center__AG CYREG_PRT3_AG
#define Center__AMUX CYREG_PRT3_AMUX
#define Center__BIE CYREG_PRT3_BIE
#define Center__BIT_MASK CYREG_PRT3_BIT_MASK
#define Center__BYP CYREG_PRT3_BYP
#define Center__CTL CYREG_PRT3_CTL
#define Center__DM0 CYREG_PRT3_DM0
#define Center__DM1 CYREG_PRT3_DM1
#define Center__DM2 CYREG_PRT3_DM2
#define Center__DR CYREG_PRT3_DR
#define Center__INP_DIS CYREG_PRT3_INP_DIS
#define Center__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Center__LCD_EN CYREG_PRT3_LCD_EN
#define Center__MASK 0x08u
#define Center__PORT 3u
#define Center__PRT CYREG_PRT3_PRT
#define Center__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Center__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Center__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Center__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Center__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Center__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Center__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Center__PS CYREG_PRT3_PS
#define Center__SHIFT 3
#define Center__SLW CYREG_PRT3_SLW

/* UP_INT */
#define UP_INT__ES2_PATCH 0u
#define UP_INT__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define UP_INT__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define UP_INT__INTC_MASK 0x10u
#define UP_INT__INTC_NUMBER 4u
#define UP_INT__INTC_PRIOR_NUM 7u
#define UP_INT__INTC_PRIOR_REG CYREG_INTC_PRIOR4
#define UP_INT__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define UP_INT__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define UP_INT__INTC_VECT (CYREG_INTC_VECT_MBASE+0x08u)

/* Right */
#define Right__0__MASK 0x20u
#define Right__0__PC CYREG_PRT3_PC5
#define Right__0__PORT 3u
#define Right__0__SHIFT 5
#define Right__AG CYREG_PRT3_AG
#define Right__AMUX CYREG_PRT3_AMUX
#define Right__BIE CYREG_PRT3_BIE
#define Right__BIT_MASK CYREG_PRT3_BIT_MASK
#define Right__BYP CYREG_PRT3_BYP
#define Right__CTL CYREG_PRT3_CTL
#define Right__DM0 CYREG_PRT3_DM0
#define Right__DM1 CYREG_PRT3_DM1
#define Right__DM2 CYREG_PRT3_DM2
#define Right__DR CYREG_PRT3_DR
#define Right__INP_DIS CYREG_PRT3_INP_DIS
#define Right__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Right__LCD_EN CYREG_PRT3_LCD_EN
#define Right__MASK 0x20u
#define Right__PORT 3u
#define Right__PRT CYREG_PRT3_PRT
#define Right__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Right__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Right__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Right__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Right__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Right__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Right__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Right__PS CYREG_PRT3_PS
#define Right__SHIFT 5
#define Right__SLW CYREG_PRT3_SLW

/* SCL_1 */
#define SCL_1__0__MASK 0x01u
#define SCL_1__0__PC CYREG_IO_PC_PRT15_PC0
#define SCL_1__0__PORT 15u
#define SCL_1__0__SHIFT 0
#define SCL_1__AG CYREG_PRT15_AG
#define SCL_1__AMUX CYREG_PRT15_AMUX
#define SCL_1__BIE CYREG_PRT15_BIE
#define SCL_1__BIT_MASK CYREG_PRT15_BIT_MASK
#define SCL_1__BYP CYREG_PRT15_BYP
#define SCL_1__CTL CYREG_PRT15_CTL
#define SCL_1__DM0 CYREG_PRT15_DM0
#define SCL_1__DM1 CYREG_PRT15_DM1
#define SCL_1__DM2 CYREG_PRT15_DM2
#define SCL_1__DR CYREG_PRT15_DR
#define SCL_1__INP_DIS CYREG_PRT15_INP_DIS
#define SCL_1__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define SCL_1__LCD_EN CYREG_PRT15_LCD_EN
#define SCL_1__MASK 0x01u
#define SCL_1__PORT 15u
#define SCL_1__PRT CYREG_PRT15_PRT
#define SCL_1__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define SCL_1__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define SCL_1__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define SCL_1__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define SCL_1__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define SCL_1__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define SCL_1__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define SCL_1__PS CYREG_PRT15_PS
#define SCL_1__SHIFT 0
#define SCL_1__SLW CYREG_PRT15_SLW

/* SDA_1 */
#define SDA_1__0__MASK 0x02u
#define SDA_1__0__PC CYREG_IO_PC_PRT15_PC1
#define SDA_1__0__PORT 15u
#define SDA_1__0__SHIFT 1
#define SDA_1__AG CYREG_PRT15_AG
#define SDA_1__AMUX CYREG_PRT15_AMUX
#define SDA_1__BIE CYREG_PRT15_BIE
#define SDA_1__BIT_MASK CYREG_PRT15_BIT_MASK
#define SDA_1__BYP CYREG_PRT15_BYP
#define SDA_1__CTL CYREG_PRT15_CTL
#define SDA_1__DM0 CYREG_PRT15_DM0
#define SDA_1__DM1 CYREG_PRT15_DM1
#define SDA_1__DM2 CYREG_PRT15_DM2
#define SDA_1__DR CYREG_PRT15_DR
#define SDA_1__INP_DIS CYREG_PRT15_INP_DIS
#define SDA_1__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define SDA_1__LCD_EN CYREG_PRT15_LCD_EN
#define SDA_1__MASK 0x02u
#define SDA_1__PORT 15u
#define SDA_1__PRT CYREG_PRT15_PRT
#define SDA_1__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define SDA_1__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define SDA_1__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define SDA_1__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define SDA_1__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define SDA_1__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define SDA_1__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define SDA_1__PS CYREG_PRT15_PS
#define SDA_1__SHIFT 1
#define SDA_1__SLW CYREG_PRT15_SLW

/* Down */
#define Down__0__MASK 0x02u
#define Down__0__PC CYREG_PRT12_PC1
#define Down__0__PORT 12u
#define Down__0__SHIFT 1
#define Down__AG CYREG_PRT12_AG
#define Down__BIE CYREG_PRT12_BIE
#define Down__BIT_MASK CYREG_PRT12_BIT_MASK
#define Down__BYP CYREG_PRT12_BYP
#define Down__DM0 CYREG_PRT12_DM0
#define Down__DM1 CYREG_PRT12_DM1
#define Down__DM2 CYREG_PRT12_DM2
#define Down__DR CYREG_PRT12_DR
#define Down__INP_DIS CYREG_PRT12_INP_DIS
#define Down__MASK 0x02u
#define Down__PORT 12u
#define Down__PRT CYREG_PRT12_PRT
#define Down__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define Down__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define Down__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define Down__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define Down__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define Down__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define Down__PS CYREG_PRT12_PS
#define Down__SHIFT 1
#define Down__SIO_CFG CYREG_PRT12_SIO_CFG
#define Down__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define Down__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define Down__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define Down__SLW CYREG_PRT12_SLW

/* Left */
#define Left__0__MASK 0x80u
#define Left__0__PC CYREG_PRT3_PC7
#define Left__0__PORT 3u
#define Left__0__SHIFT 7
#define Left__AG CYREG_PRT3_AG
#define Left__AMUX CYREG_PRT3_AMUX
#define Left__BIE CYREG_PRT3_BIE
#define Left__BIT_MASK CYREG_PRT3_BIT_MASK
#define Left__BYP CYREG_PRT3_BYP
#define Left__CTL CYREG_PRT3_CTL
#define Left__DM0 CYREG_PRT3_DM0
#define Left__DM1 CYREG_PRT3_DM1
#define Left__DM2 CYREG_PRT3_DM2
#define Left__DR CYREG_PRT3_DR
#define Left__INP_DIS CYREG_PRT3_INP_DIS
#define Left__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Left__LCD_EN CYREG_PRT3_LCD_EN
#define Left__MASK 0x80u
#define Left__PORT 3u
#define Left__PRT CYREG_PRT3_PRT
#define Left__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Left__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Left__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Left__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Left__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Left__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Left__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Left__PS CYREG_PRT3_PS
#define Left__SHIFT 7
#define Left__SLW CYREG_PRT3_SLW

/* Rx_1 */
#define Rx_1__0__MASK 0x80u
#define Rx_1__0__PC CYREG_PRT5_PC7
#define Rx_1__0__PORT 5u
#define Rx_1__0__SHIFT 7
#define Rx_1__AG CYREG_PRT5_AG
#define Rx_1__AMUX CYREG_PRT5_AMUX
#define Rx_1__BIE CYREG_PRT5_BIE
#define Rx_1__BIT_MASK CYREG_PRT5_BIT_MASK
#define Rx_1__BYP CYREG_PRT5_BYP
#define Rx_1__CTL CYREG_PRT5_CTL
#define Rx_1__DM0 CYREG_PRT5_DM0
#define Rx_1__DM1 CYREG_PRT5_DM1
#define Rx_1__DM2 CYREG_PRT5_DM2
#define Rx_1__DR CYREG_PRT5_DR
#define Rx_1__INP_DIS CYREG_PRT5_INP_DIS
#define Rx_1__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Rx_1__LCD_EN CYREG_PRT5_LCD_EN
#define Rx_1__MASK 0x80u
#define Rx_1__PORT 5u
#define Rx_1__PRT CYREG_PRT5_PRT
#define Rx_1__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Rx_1__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Rx_1__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Rx_1__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Rx_1__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Rx_1__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Rx_1__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Rx_1__PS CYREG_PRT5_PS
#define Rx_1__SHIFT 7
#define Rx_1__SLW CYREG_PRT5_SLW

/* Tx_1 */
#define Tx_1__0__MASK 0x40u
#define Tx_1__0__PC CYREG_PRT5_PC6
#define Tx_1__0__PORT 5u
#define Tx_1__0__SHIFT 6
#define Tx_1__AG CYREG_PRT5_AG
#define Tx_1__AMUX CYREG_PRT5_AMUX
#define Tx_1__BIE CYREG_PRT5_BIE
#define Tx_1__BIT_MASK CYREG_PRT5_BIT_MASK
#define Tx_1__BYP CYREG_PRT5_BYP
#define Tx_1__CTL CYREG_PRT5_CTL
#define Tx_1__DM0 CYREG_PRT5_DM0
#define Tx_1__DM1 CYREG_PRT5_DM1
#define Tx_1__DM2 CYREG_PRT5_DM2
#define Tx_1__DR CYREG_PRT5_DR
#define Tx_1__INP_DIS CYREG_PRT5_INP_DIS
#define Tx_1__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Tx_1__LCD_EN CYREG_PRT5_LCD_EN
#define Tx_1__MASK 0x40u
#define Tx_1__PORT 5u
#define Tx_1__PRT CYREG_PRT5_PRT
#define Tx_1__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Tx_1__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Tx_1__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Tx_1__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Tx_1__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Tx_1__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Tx_1__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Tx_1__PS CYREG_PRT5_PS
#define Tx_1__SHIFT 6
#define Tx_1__SLW CYREG_PRT5_SLW

/* UP */
#define UP__0__MASK 0x08u
#define UP__0__PC CYREG_IO_PC_PRT15_PC3
#define UP__0__PORT 15u
#define UP__0__SHIFT 3
#define UP__AG CYREG_PRT15_AG
#define UP__AMUX CYREG_PRT15_AMUX
#define UP__BIE CYREG_PRT15_BIE
#define UP__BIT_MASK CYREG_PRT15_BIT_MASK
#define UP__BYP CYREG_PRT15_BYP
#define UP__CTL CYREG_PRT15_CTL
#define UP__DM0 CYREG_PRT15_DM0
#define UP__DM1 CYREG_PRT15_DM1
#define UP__DM2 CYREG_PRT15_DM2
#define UP__DR CYREG_PRT15_DR
#define UP__INP_DIS CYREG_PRT15_INP_DIS
#define UP__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define UP__LCD_EN CYREG_PRT15_LCD_EN
#define UP__MASK 0x08u
#define UP__PORT 15u
#define UP__PRT CYREG_PRT15_PRT
#define UP__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define UP__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define UP__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define UP__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define UP__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define UP__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define UP__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define UP__PS CYREG_PRT15_PS
#define UP__SHIFT 3
#define UP__SLW CYREG_PRT15_SLW

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x0000801Fu
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
